﻿

&Вместо("УстановитьПрефикс")
Процедура испбсп_УстановитьПрефикс(Источник, Префикс, УстановитьПрефиксИнформационнойБазы, УстановитьПрефиксОрганизации)
	
	ВызовПродолжить	= Истина;
	
	Если испбсп_Правка.Включена(испбсп_Идентификатор.ОтсутствиеПрефиксаОтключениеПрефиксации()) Тогда
		
		ПрефиксИнформационнойБазы = "";
		ПрефиксОрганизации        = "";
		
		Если УстановитьПрефиксИнформационнойБазы Тогда
			испбсп_Модуль.ПрефиксацияОбъектовСобытия().ПриОпределенииПрефиксаИнформационнойБазы(ПрефиксИнформационнойБазы);
		КонецЕсли;
		Если УстановитьПрефиксОрганизации Тогда
			испбсп_Модуль.ПрефиксацияОбъектовСобытия().ПриОпределенииПрефиксаОрганизации(Источник[испбсп_Модуль
			.ПрефиксацияОбъектовСобытия().ИмяРеквизитаОрганизация(Источник
			.Метаданные())], ПрефиксОрганизации);
		КонецЕсли;
		
		ВызовПродолжить	= НЕ ПустаяСтрока(ПрефиксИнформационнойБазы) ИЛИ НЕ ПустаяСтрока(ПрефиксОрганизации);
	КонецЕсли;
	
	Если ВызовПродолжить Тогда
		ПродолжитьВызов(Источник, Префикс, УстановитьПрефиксИнформационнойБазы, УстановитьПрефиксОрганизации);
	КонецЕсли;
	
КонецПроцедуры
            